Package org.apache.batchee.cli.command

## Class SocketCommand

- java.lang.Object
- - org.apache.batchee.cli.command.JobOperatorCommand
  - - org.apache.batchee.cli.command.SocketConfigurableCommand
    - - org.apache.batchee.cli.command.SocketCommand

- All Implemented Interfaces:
    `Runnable`
  Direct Known Subclasses:
    `Abandon`, `Stop`

      public abstract class SocketCommand
      extends SocketConfigurableCommand

- - ### Field Summary

    - ### Fields inherited from class org.apache.batchee.cli.command.SocketConfigurableCommand

      `adminSocket, wait`

    - ### Fields inherited from class org.apache.batchee.cli.command.JobOperatorCommand

      `baseUrl, operator`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SocketCommand()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected abstract String` | `command()` |
    `protected abstract void` | `defaultRun()` |
    `void` | `doRun()` |
    `protected abstract void` | `postCommand()` |
    `protected void` | `sendCommand()` |
    `protected boolean` | `shouldUseSocket()` |

    - ### Methods inherited from class org.apache.batchee.cli.command.JobOperatorCommand

      `info, operator, run`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SocketCommand

          public SocketCommand()

  - ### Method Detail

    - #### shouldUseSocket

          protected boolean shouldUseSocket()

    - #### command

          protected abstract String command()

    - #### defaultRun

          protected abstract void defaultRun()

    - #### sendCommand

          protected void sendCommand()

    - #### doRun

          public void doRun()

      Specified by:
        `doRun` in class `JobOperatorCommand`

    - #### postCommand

          protected abstract void postCommand()